<div class="page-header">
	<ol class="breadcrumb">
		<li class="breadcrumb-item"><a href="<%= dashboard_path %>"><%= t("views.right_panel.button.home") %></a></li>
		<li class="breadcrumb-item active"><%= t("views.right_panel.detail.credit_payment_report") %></li>
		<span class="float-right">
			<%= link_to 'Back', dashboard_path %>
		</span>
	</ol>
</div>
<!-- <div class="container"> -->
	<%= render :partial=>'shift_sale_report_filter',
	:locals=>{ 	:period_type => true, :shift_name => true, :report_path =>reports_credit_payment_index_path} %>
	<hr />
<!-- </div> -->

 <!-- <div class="container"> -->
	<!-- <div class="row"> -->
		<div class="text-right">
			<a href="javascript:export_to('<%=reports_credit_payment_index_path%>.xls')" class = "btn btn-info wave-effects"><%= t("views.btn.exp_to_excel") %></a>
		</div>	  			
	<!-- </div> -->
   <!--  </div>  -->

<div class="margin-top-20">
	<div class="card ">
		<% unless @sale_data.blank? %>

			<table class="table table-striped" border="0">
			  <thead>
				<% if !params[:from].blank?%>
			    <tr>
			        <th colspan="7"><%= t("views.right_panel.detail.from_date") %> : <%= params[:from]  rescue '-'%>	,	<%= t("views.right_panel.detail.to_date") %> : <%= params[:to]  rescue '-'%></th>
				</tr>
				<% end %>		  
				<tr>
					<th> <%= t("views.right_panel.detail.shift_name") %> </th>
				  	<th> <%= t("views.right_panel.detail.receipt_no") %></th>
				   	<th> <%= t :cashier %> <%= t("views.right_panel.detail.name") %></th>
				  	<th> <%= t :customer %> <%= t("views.right_panel.detail.name") %></th>		   
				  	<th> <%= t("views.right_panel.detail.credit_amount") %> </th>
				</tr>
			  </thead>
			  <tbody>
				<% @sale_data.each do |credit| %>			

					<tr> 
					 	<% if @shift_from.nil? && @shift_to.nil? %>
							<td><%= credit.sale_date.utc.getlocal.strftime("%e %b %I:%M%p")  rescue '-'%></td>
						<% else %>
							<td><%= @shift_from  rescue '-'%> -  <%= @shift_to   rescue '-'%></td>
						<% end %>
						<td><%= credit.receipt_no rescue '-' %></td>
						<td><%= credit.cashier_name rescue '-' %></td>
						<td><%= credit.sale.customer.name rescue '-' %></td>
						<td><%= credit.payment_amount rescue '-' %></td>
				  </tr>
				<% end %>
			  </tbody>
			</table>
		<% end %>
	</div>
</div>

<script>
	$(function(){

		var check_arr = [];
		search_by_period();
		$('#sel_period').change(function(){
			
			search_by_period();
			
		});
		
		function search_by_period(){
			var period = $('#sel_period').val();
			var period_type = 0;
			var from = "";
			var to = "";

			show_shift_name(period,period_type,from,to,'shift_item');	
		}   
		
		// OK button is clicked
		$('#from').bootstrapMaterialDatePicker().on('beforeChange', function(e, date){
			new_date = new Date(date) ;
			month    = parseInt(new_date.getMonth()+1)
			from = new_date.getDate() + "-" + month + "-" + new_date.getFullYear();
			$('#from').val(from)
			search_by_date();
		});
		$('#to').bootstrapMaterialDatePicker().on('beforeChange', function(e, date){
			new_date = new Date(date) ;
			month    = parseInt(new_date.getMonth()+1)
			to = new_date.getDate() + "-" + month + "-" + new_date.getFullYear();
			$('#to').val(to)
			search_by_date();
		});  
		
		function search_by_date(){
			
			from = $("#from").val();
	  		to   = $("#to").val(); 

			var period = 0;
			var period_type = 1;	   

			if(to != '' && from != ''){
				shift_name = from + ',' + to;

				check_arr.push(to);
				
				console.log(check_arr.length)
				if(check_arr.length == 1){
					show_shift_name(period,period_type,from,to,'shift_item');	   	
				}
				if(check_arr.length == 3){
					check_arr = [];
				}
			}
			
		}
		
		function show_shift_name(period,period_type,from,to,shift_item){
			var shift = $('#shift_name');
			if (from == '' && to == '') {
				from = $("#from").val();
	  		    to   = $("#to").val();
			}
			shift.empty();
			
			var str = '';
			var param_shift = '';	   
			var param_shift = '<%= params[:shift_name] rescue '-'%>';

			url = '<%= reports_get_shift_by_date_path %>';
			
			$.get(url, {period :period, period_type :period_type, from :from, to :to, report_type :shift_item} , function(data){

				str = '<option value="0">--- All Shift ---</option>';
				$(data.message).each(function(index){	
					
					var local_date = data.message[index].local_opening_date + ' - ' + data.message[index].local_closing_date;
					var sh_date = data.message[index].opening_date + ' - ' + data.message[index].closing_date;
					var shift_id = data.message[index].shift_id ;
					if(param_shift != ''){
						if(shift_id == param_shift){
							selected = 'selected = "selected"';
						}
						else{
							selected = '';			   
						}			   	
					}else{
						selected = '';			   
					}		   			   
					str += '<option value="'+ shift_id +'" '+ selected +'>' + local_date + '</option>';
					
			   // console.log(sh_date)
			}) 
				shift.append(str);
			});
		}

	});
</script>